


NUMFAIL=$(EXEDIR:%/exe=%)/numfail


.PHONY: zerofail
zerofail:
	@rm -f $(NUMFAIL)

# runs all tests in 'test' directories
.PHONY: run
run: zerofail $(PLATFORM:%=run_%)
	@RECURSE='if [ -f test/makefile ] ;then $(MAKE) -w -C test $(MAKE_FLAGS) $(PLATFORM:%=run_%) ;fi' $(MAKE) -w $(MAKE_FLAGS) recurse

# builds all tests in 'test' directories
.PHONY: test
test:
	@RECURSE='if [ -f test/makefile ] ;then $$(MAKE) -w -C test $$(MAKE_FLAGS) allhere ;fi' $(MAKE) -w $(MAKE_FLAGS) recurse

D_FILES+=$(patsubst %,$(EXEDIR_SLASH)%.d,$(TSTS))
