#!/bin/sh


export ROOT_PROJECT=`pwd`

#figure out if we are on a 64-bit or 32-bit machine
ARCH=x86
if [ `uname -m` == x86_64 ]; then
  ARCH=x86_64
fi
export ARCH
# constants for project
export PLATFORM=linux

# this is the proper 'first-time' order
if [ ! -e src/js/local.updated ]; then
  make -C src/js 
fi
if [ ! -e src/sqlite/local.updated ]; then
  make -C src/sqlite
fi
make -C src BUILD_MODE=release all libs
make -C src/lase BUILD_MODE=release all
